### Method

# Fwupd Client self_sign_finish

#### Declaration [src]

    gchar*
    fwupd_client_self_sign_finish (
      FwupdClient* self,
      GAsyncResult* res,
      GError** error
    )

#### Description [src]

Gets the result of `fwupd_client_self_sign_async()`.

Available since: | 1.5.0

#### Parameters

`res` | `GAsyncResult`
| The asynchronous result.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gchar*`
| A signature, or `NULL` for failure.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.